#ifndef SIGNALS_H
#define SIGNALS_H

gchar *signal_param_names[][10] =
  {
    { "GtkCList", "set_scroll_adjustments" },
    { "GtkCList", "select_row", "row", "column", "event" },
    { "GtkCList", "unselect_row", "row", "column", "event" },
    { "GtkCList", "row_move", "arg1", "arg2" },
    { "GtkCList", "click_column", "column" },
    { "GtkCList", "resize_column", "column", "width" },
    { "GtkCList", "toggle_focus_row" },
    { "GtkCList", "select_all" },
    { "GtkCList", "unselect_all" },
    { "GtkCList", "undo_selection" },
    { "GtkCList", "start_selection" },
    { "GtkCList", "end_selection" },
    { "GtkCList", "toggle_add_mode" },
    { "GtkCList", "extend_selection", "scroll_type", "position", "auto_start_selection" },
    { "GtkCList", "scroll_vertical", "scroll_type", "position" },
    { "GtkCList", "scroll_horizontal", "scroll_type", "position" },
    { "GtkContainer", "add", "widget" },
    { "GtkContainer", "remove", "widget" },
    { "GtkContainer", "focus", "direction" },
    { "GtkContainer", "set_focus_child", "widget" },
    { "GtkCTree", "tree_select_row", "node", "column" },
    { "GtkCTree", "tree_unselect_row", "node", "column" },
    { "GtkCTree", "tree_expand", "node" },
    { "GtkCTree", "tree_collapse", "node" },
    { "GtkCTree", "tree_move", "node", "new_parent", "new_sibling" },
    { "GtkCTree", "change_focus_row_expansion", "expansion" },
    { "GtkEditable", "insert_text", "new_text", "new_text_length", "position" },
    { "GtkEditable", "delete_text", "start_pos", "end_pos" },
    { "GtkEditable", "set_editable", "is_editable" },
    { "GtkEditable", "move_cursor", "x", "y" },
    { "GtkEditable", "move_word", "num_words" },
    { "GtkEditable", "move_page", "x", "y" },
    { "GtkEditable", "move_to_row", "row" },
    { "GtkEditable", "move_to_column", "column" },
    { "GtkEditable", "kill_char", "direction" },
    { "GtkEditable", "kill_word", "direction" },
    { "GtkEditable", "kill_line", "direction" },
    { "GtkHandleBox", "child_attached", "widget" },
    { "GtkHandleBox", "child_detached", "widget" },
    { "GtkInputDialog", "enable_device", "device_id" },
    { "GtkInputDialog", "disable_device", "device_id" },
    { "GtkList", "select_child", "widget" },
    { "GtkList", "unselect_child", "widget" },
    { "GtkListItem", "extend_selection", "scroll_type", "position", "auto_start_selection" },
    { "GtkListItem", "scroll_vertical", "scroll_type", "position" },
    { "GtkListItem", "scroll_horizontal", "scroll_type", "position" },
    { "GtkMenuShell", "move_current", "direction" },
    { "GtkMenuShell", "activate_current", "force_hide" },
    { "GtkNotebook", "switch_page", "page", "page_num" },
    { "GtkStatusBar", "text_pushed", "context_id", "text" },
    { "GtkStatusBar", "text_popped", "context_id", "text" },
    { "GtkTipsQuery", "widget_entered", "widget", "tip_text", "tip_private" },
    { "GtkTipsQuery", "widget_selected", "widget", "tip_text", "tip_private", "event" },
    { "GtkToolbar", "orientation_changed", "orientation" },
    { "GtkToolbar", "style_changed", "style" },
    { "GtkTree", "select_child", "widget" },
    { "GtkTree", "unselect_child", "widget" },
    { "GtkWidget", "draw", "area" },
    { "GtkWidget", "size_request", "requisition" },
    { "GtkWidget", "size_allocate", "allocation" },
    { "GtkWidget", "state_changed", "state" },
    { "GtkWidget", "parent_set", "old_parent" },
    { "GtkWidget", "style_set", "previous_style" },
    { "GtkWidget", "add_accelerator", "accel_signal_id", "accel_group", "accel_key", "accel_mods", "accel_flags" },
    { "GtkWidget", "remove_accelerator", "accel_group", "accel_key", "accel_mods" },
    { "GtkWidget", "event", "event" },
    { "GtkWidget", "button_press_event", "event" },
    { "GtkWidget", "button_release_event", "event" },
    { "GtkWidget", "motion_notify_event", "event" },
    { "GtkWidget", "delete_event", "event" },
    { "GtkWidget", "destroy_event", "event" },
    { "GtkWidget", "expose_event", "event" },
    { "GtkWidget", "key_press_event", "event" },
    { "GtkWidget", "key_release_event", "event" },
    { "GtkWidget", "enter_notify_event", "event" },
    { "GtkWidget", "leave_notify_event", "event" },
    { "GtkWidget", "configure_event", "event" },
    { "GtkWidget", "focus_in_event", "event" },
    { "GtkWidget", "focus_out_event", "event" },
    { "GtkWidget", "map_event", "event" },
    { "GtkWidget", "unmap_event", "event" },
    { "GtkWidget", "property_notify_event", "event" },
    { "GtkWidget", "selection_clear_event", "event" },
    { "GtkWidget", "selection_request_event", "event" },
    { "GtkWidget", "selection_notify_event", "event" },
    { "GtkWidget", "selection_received", "data", "time" },
    { "GtkWidget", "selection_get", "data", "info", "time" },
    { "GtkWidget", "proximity_in_event", "event" },
    { "GtkWidget", "proximity_out_event", "event" },
    { "GtkWidget", "drag_leave", "drag_context", "time" },
    { "GtkWidget", "drag_begin", "drag_context" },
    { "GtkWidget", "drag_end", "drag_context" },
    { "GtkWidget", "drag_data_delete", "drag_context" },
    { "GtkWidget", "drag_motion", "drag_context", "x", "y", "time" },
    { "GtkWidget", "drag_drop", "drag_context", "x", "y", "time" },
    { "GtkWidget", "drag_data_get", "drag_context", "data", "info", "time" },
    { "GtkWidget", "drag_data_received", "drag_context", "x", "y", "data", "info", "time" },
    { "GtkWidget", "visibility_notify_event", "event" },
    { "GtkWidget", "client_event", "event" },
    { "GtkWidget", "no_expose_event", "event" },
    { "GtkWidget", "debug_msg", "message" },
    { NULL }
  };

#endif

